## ocaml-portaudio 0.1.1

=== examples/Makefile ===
SOURCES=noise.ml
RESULT=noise
LIBS=portaudio
INCDIRS=../src

all: nc

include OCamlMakefile

## ocaml-portaudio 0.2.0

=== examples/Makefile ===
SOURCES=noise.ml
RESULT=noise
LIBS=portaudio bigarray
INCDIRS=../src
THREADS = yes

all: nc

include OCamlMakefile

=== debian/changelog ===
ocaml-portaudio (0.2.0-1build3) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:31 +0000

ocaml-portaudio (0.2.0-1build2) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 10:47:53 +0000

ocaml-portaudio (0.2.0-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:52:57 +0000

ocaml-portaudio (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2
  * Switch to 3.0 (quilt) package format.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 02 Jul 2011 15:04:24 -0500

ocaml-portaudio (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Changed section to ocaml.
  * Switched to new automatice dependency system. 
  * Fixed Vcs-* fields.
  * Switched rules file to use ocaml.mk

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 17:04:54 -0500

ocaml-portaudio (0.1.2-2) unstable; urgency=low

  * Rebuid with OCaml 3.11.
  * Use dh-ocaml.
  * Switch packaging to git.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 22:44:00 +0100

ocaml-portaudio (0.1.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Julien Cristau ]
  * Fix FTBFS with new dpkg-dev by setting CFLAGS correctly in
    debian/rules (closes: 476028).

  [ Romain Beauxis ]
  * New upstream release, now install .cmx file
  * Updated standards to 3.7.3
  * Changed maintainer to Debian OCaml Maintainers

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 31 Dec 2007 16:50:11 +0100

ocaml-portaudio (0.1.1-2) unstable; urgency=low

  * Fixed dependencies for developpement package

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 19 Nov 2007 13:37:26 +0100

ocaml-portaudio (0.1.1-1) unstable; urgency=low

  * Initial upload to sid
    Closes: #451930

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 19 Nov 2007 13:12:50 +0100

=== debian/control ===
Source: ocaml-portaudio
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 portaudio19-dev, 
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-portaudio.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-portaudio.git

Package: libportaudio-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the portaudio library
 Portaudio is a portable audio I/O library designed for cross-platform
 support of audio. This package provides OCaml interface to this library.
 .
 This package contains only the shared runtime stub libraries.

Package: libportaudio-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, 
         portaudio19-dev, libportaudio-ocaml (= ${binary:Version}), 
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the portaudio library
 Portaudio is a portable audio I/O library designed for cross-platform
 support of audio. This package provides OCaml interface to this library.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use portaudio.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DESTDIR = $(CURDIR)/debian/tmp$(shell ocamlc -where)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_INSTALL_ARGS :=  --list-missing

build/libportaudio-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile src/Makefile src/META doc config.log config.status

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-portaudio-(.+)\.tar\.gz

## ocaml-portaudio 0.2.1

=== debian/changelog ===
ocaml-portaudio (0.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and watch to point to github
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 23:56:56 +0200

ocaml-portaudio (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 17:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: 
+Build-Depends:
  cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 10),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
- portaudio19-dev, 
- ocaml-findlib (>= 1.2.4), 
+ dh-ocaml (>= 0.9),
+ portaudio19-dev,
+ ocaml-findlib (>= 1.2.4),
+ ocamlbuild,
  pkg-config
 Standards-Version: 3.9.2
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-portaudio.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-portaudio.git
+Homepage: https://github.com/savonet/ocaml-portaudio
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-portaudio.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-portaudio.git
 
 Package: libportaudio-ocaml
 Architecture: any
@@ -29,8 +30,8 @@
 
 Package: libportaudio-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, 
-         portaudio19-dev, libportaudio-ocaml (= ${binary:Version}), 
+Depends: ${ocaml:Depends},
+         portaudio19-dev, libportaudio-ocaml (= ${binary:Version}),
          ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for the portaudio library

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-portaudio/releases .*/ocaml-portaudio-(.*)\.tar\.gz

## ocaml-portaudio 0.2.2

=== debian/changelog ===
ocaml-portaudio (0.2.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:17 +0100

ocaml-portaudio (0.2.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Update debian/watch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Nov 2021 14:33:45 +0100

=== debian/control ===
Source: ocaml-portaudio
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml,
 portaudio19-dev,
 ocaml-dune,
 libdune-ocaml-dev,
 pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/savonet/ocaml-portaudio
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-portaudio.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-portaudio

Package: libportaudio-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the portaudio library -- runtime files
 Portaudio is a portable audio I/O library designed for cross-platform
 support of audio. This package provides OCaml interface to this library.
 .
 This package contains only the shared runtime stub libraries.

Package: libportaudio-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends},
         portaudio19-dev, libportaudio-ocaml (= ${binary:Version}),
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the portaudio library -- development files
 Portaudio is a portable audio I/O library designed for cross-platform
 support of audio. This package provides OCaml interface to this library.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use portaudio.

## ocaml-portaudio 0.2.3

=== debian/changelog ===
ocaml-portaudio (0.2.3-5) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Replace pkg-config by pkgconf in Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 07:23:59 +0200

ocaml-portaudio (0.2.3-4) unstable; urgency=medium

  * Team upload
  * Remove obsolete debian/control.in
  * Bump Standards-Version to 4.7.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 01:02:40 +0200

ocaml-portaudio (0.2.3-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:44:17 +0200

ocaml-portaudio (0.2.3-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:02:27 +0200

ocaml-portaudio (0.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 09:41:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- ocaml-nox,
- dh-ocaml,
+ ocaml,
+ dh-ocaml (>= 1.2),
  portaudio19-dev,
  ocaml-dune,
  libdune-ocaml-dev,
- pkg-config
-Standards-Version: 4.6.0
+ pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-portaudio
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-portaudio.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/savonet/ocaml-portaudio/releases?per_page=50 \
https://api.github.com/repos/savonet/ocaml-portaudio/tarball/@ANY_VERSION@
